Subject: bug#55040: 29.0.50; Auto-indent-mode and Changelog Messages

From: Eli Zaretskii <[email-masked]>
Date: Wed, 20 Apr 2022 19:03:24 +0300

> From: Philip Kaludercic <[email-masked]>
> Date: Wed, 20 Apr 2022 14:30:17 +0000
> 
> 
> When writing change logs in log-edit-mode, I have auto-fill-mode enabled
> because 1. I find it convenient and 2. it derives from text mode.  It
> has been pointed out to me that this leads to indentation issues, where
> a change log entry is interpreted to be an unordered list.  So instead
> of
> 
> --8<---------------cut here---------------start------------->8---
> * lisp/vc/diff-mode.el (diff-add-log-current-defuns): Check
> vc-root-dir to prepend the project path to the file being modified.
> --8<---------------cut here---------------end--------------->8---
> 
> the messages is automatically formatted like
> 
> --8<---------------cut here---------------start------------->8---
> * lisp/vc/diff-mode.el (diff-add-log-current-defuns): Check
>   vc-root-dir to prepend the project path to the file being modified.
> --8<---------------cut here---------------end--------------->8---
> 
> as soon as the line exceeds the fill column.

I always use auto-fill-mode in ChangeLog buffers, and it never does
anything like what you described for me.  Can you show a recipe
starting from "emacs -Q" that shows this problem?